SenseCrypt Docs
API ReferenceAdmin Groups

Set Group Roles

PUT/v1/admin/groups/{group_id}/roles

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

group_id*Group Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Replace the full set of roles assigned to a subject (user or group).

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/admin/groups/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles" \  -H "Content-Type: application/json" \  -d '{}'
{  "roles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string"    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}